Bug 818272 - [RFE] Add Cancel Button to All Available Subscriptions Progress Dialog
[RFE] Add Cancel Button to All Available Subscriptions Progress Dialog
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: subscription-manager (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: beta
: 7.0
Assigned To: candlepin-bugs
Entitlement Bugs
: FutureFeature
Depends On:
Blocks: rhsm-rhel71
  Show dependency treegraph
 
Reported: 2012-05-02 11:44 EDT by Matt Reid
Modified: 2014-01-17 12:26 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-17 12:26:25 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matt Reid 2012-05-02 11:44:30 EDT
Description of problem:
Could be nice to include a cancel button to give them an out if they don't want to wait for subscription stuff to be downloaded. I imagine we have a timeout set, and we do prevent them from trying with no internet connection, but it would be nice to give people the option to stop the process if they change their mind.

Would also give them an out if some strange set of circumstances leaves them downloading subscriptions for awhile.
Comment 2 RHEL Product and Program Management 2012-07-10 04:47:25 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 3 RHEL Product and Program Management 2012-07-10 21:49:18 EDT
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.
Comment 4 Carter Kozak 2014-01-17 12:26:25 EST
Adding a cancel button would create a window where the gui and the server show differing states.  When you cancel, the server will still finish binding the entitlement, but the system will not pick it up until the next daemon run.

Probably best that we don't open that can of worms.

Note You need to log in before you can comment on or make changes to this bug.